/// <reference path="jquery-2.2.3.min.js" />
var cefHandler = {
    obj: null,
    call: function(type, data) {
        switch (type) {
            case "onUpdateIpList":
                this.obj.onUpdateIpList(data);
                break;
            case "onUpdateClassInfo":
                this.obj.onUpdateClassInfo(data);
                break;
            case "onUpdateQRCode":
                this.obj.onUpdateQRCode(data);
                break;
            default:
                break;
        }
    }
};
$(function() {
    var pageFunc = {
        init: function() {
            pageFunc.layout();
            pageFunc.bindEvent();
            pageFunc.onUpdateClassInfo(pageFunc.getQueryString("classname"));
            pageFunc.onUpdateIpList(pageFunc.getQueryString("iplist"));
            pageFunc.onUpdateQRCode(0);
        },
        bindEvent: function() {
            //页面大小变动时执行函数
            $(window).resize(function() {
                pageFunc.layout();
            });

            //下拉列表
            $('.np-select .np-selected').click(function() {
                var open = $(this).parent().is('.open');
                if (!open) {
                    $(this).parent().addClass('open');
                    $('.np-ips-list').slideDown();
                } else {
                    $(this).parent().removeClass('open');
                    $('.np-ips-list').slideUp();
                }
            });

            //下拉选择点击
            $('.np-ips-list').on('click', 'li', function() {
                var text = $(this).text();

                $(this).parents('.np-select').removeClass('open');
                $('.np-ips-list').slideUp();

                $('.np-select .np-selected-ip').text(text);
                cef.message.sendMessage('micro.ExecJsCall', ['onIPChanged', text]);
            });

            //点击空白区域关闭下拉
            $(document).on('click', function() {
                $('.np-select').removeClass('open');
                $('.np-ips-list').slideUp();
            });

            //阻止冒泡
            $('.np-selected').click(function(e) {
                e.stopPropagation(); //阻止冒泡
            });

            //软件帮助点击展开引导页
            $('.help-btn').click(function() {
                $('.mask-layer').fadeIn();
                $('.windows.boot').fadeIn();
            });

            //关闭引导页
            $('.windows.boot .windows-close').click(function() {
                $('.mask-layer').fadeOut();
                $('.windows.boot').fadeOut();
            });
        },
        layout: function() {
            var bodyHeight = $(window).height();
            var cotHeight = $('.content').outerHeight();
            var marTop = (bodyHeight - cotHeight) / 2;

            $('.content').css('marginTop', marTop);
        },
        getQueryString: function(name) {
            var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
            var r = window.location.search.substr(1).match(reg);
            if (r != null) return decodeURIComponent(r[2]);
            return null;
        },
        getQueryStringRegExp: function(name) {
            var reg = new RegExp("(^|\\?|&)" + name + "=([^&]*)(\\s|&|$)", "i");
            if (reg.test(location.href)) return decodeURIComponent(RegExp.$2.replace(/\+/g, " "));
            return "";
        },
        /*更新ip下拉列表*/
        onUpdateIpList: function(str) {
            var container = $(".np-select .np-ips-list");
            container.empty();
            var list = str.split(',');
            $.each(list, function(index, item) {
                container.append('<li>' + item + '</li>');
            });
            $('.np-select .np-selected-ip').html(list[0]);
        },
        /*更新班级信息*/
        onUpdateClassInfo: function(classname) {
            $(".class-info .classname").html(decodeURIComponent(classname));
        },
        /*更新二维码*/
        onUpdateQRCode: function(index) {
            if (index < 0)
                $(".rwm-img img").attr('src', 'images/ununited.png');
            else
                $(".rwm-img img").attr('src', '../temp/qr_ws_' + index + '.bmp');
        },
        /*处理5:4分辨率二维码拉伸*/
        onHandleSpecialDisplay: function() {

        }
    };
    cefHandler.obj = pageFunc;
    pageFunc.init();
});
